org.apache.lucene.analysis.tokenattributes

## Interface BytesTermAttribute

- All Superinterfaces:
    Attribute, TermToBytesRefAttribute
  All Known Implementing Classes:
    BytesTermAttributeImpl

      public interface BytesTermAttribute
      extends TermToBytesRefAttribute

  This attribute can be used if you have the raw term bytes to be indexed. It can be used as replacement for `CharTermAttribute`, if binary terms should be indexed.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setBytesRef(BytesRef bytes)` Sets the `BytesRef` of the term

    - ### Methods inherited from interface org.apache.lucene.analysis.tokenattributes.TermToBytesRefAttribute

      `getBytesRef`

- - ### Method Detail

    - #### setBytesRef

          void setBytesRef(BytesRef bytes)

      Sets the `BytesRef` of the term

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.